Type to search.

Run a tool

Base URL
https://{kibana_url}
  • POST /api/agent_builder/tools/_execute
  • POST /s/{space_id}/api/agent_builder/tools/_execute
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Run a tool with parameters. Use this endpoint to run a tool directly with specified inputs and optional external connector integration. To learn more about Agent Builder tools, refer to the tools documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

connector_id string

Optional connector ID for tools that require external integrations.

tool_id string required

The ID of the tool to execute.

tool_params map string to object required

Parameters to pass to the tool execution. See examples for details

Response

200

Indicates a successful response

application/json